<?php
/***********************************************************
 * Devavrata Core Theme for Drupal - Free
 * A WebTheming.com Stylesheet Production
 * Created by Daniel Honrade
 * for paid technical support: mail@danielhonrade.com
 * http://webtheming.com
 * http://danielhonrade.com
 ***********************************************************/
 
function phptemplate_settings($saved_settings) {
  $defaults = array(
   'content_column' => 'Default Style',
   'page_size' => '600px',
   'header_hide' => 'Show',
   'search_transfer' => 'No',
   'drop_cap' => 'No',
   'content_enlarge_button' => 'Show',
   'content_title_size' => '16px',
   'content_body_size' => '11px',
   'content_body_fonts' => 'Arial, Helvetica, sans-serif',
 );
  $settings = array_merge($defaults, $saved_settings);
//page style, default or column
 if($settings['page_size'] != 0) {
  	$form['content_column'] = array(
		'#type' => 'select',
		'#title' => t('Main content layout style (Change page size to 1000px page size to use 5-Content Column Style)'),
		'#value' => 0,
		'#options' => array('Default Style','5-Content Column Style'),
		'#disabled' => 'disabled', //Do not enable if your version does not support this feature or your page size is not set to 1000px	 
  	);
 } else {
  	$form['content_column'] = array(
		'#type' => 'select',
		'#title' => t('Main content layout style (5-Content Column Style only works for 1000px page size)'),
		'#default_value' => $settings['content_column'],
		'#options' => array('Default Style','5-Content Column Style'),
		'#disabled' => 'disabled', //Do not enable if your version does not support this feature
    );
 }
//page width 600px
  $form['page_size'] = array(
    '#type' => 'select',
    '#title' => t('Set the page width'),
    '#default_value' => $settings['page_size'],
	'#options' => array('600px'),
	'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //hide header in frontpage
  $form['header_hide'] = array(
    '#type' => 'select',
    '#title' => t('Header in the frontpage (where the default Logo, Site Name, Slogan and Search are'),
    '#default_value' => $settings['header_hide'],
	'#options' => array('Show','Hide'),
	'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //transfer search box from header to menubar
  $form['search_transfer'] = array(
    '#type' => 'select',
    '#title' => t('Transfer search box to menu bar'),
    '#default_value' => $settings['search_transfer'],
	'#options' => array('No','Yes'),
	'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //dropcap letter
  $form['drop_cap'] = array(
    '#type' => 'select',
    '#title' => t('Dropcap the first letter of the first paragraph'),
    '#default_value' => $settings['drop_cap'],
	'#options' => array('No','Yes'),
	'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //enlarge button for body content text
  $form['content_enlarge_button'] = array(
    '#type' => 'select',
    '#title' => t('Enlarge body text button'),
    '#default_value' => $settings['content_enlarge_button'],
	'#options' => array('Hide','Show'),
	'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //node body title size
  $form['content_title_size'] = array(
    '#type' => 'select',
    '#title' => t('Set the size of your body titles'),
    '#default_value' => $settings['content_title_size'],
	'#options' => array('16px','18px','21px','25px'),
	//'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //node body text size
  $form['content_body_size'] = array(
    '#type' => 'select',
    '#title' => t('Set the size of your body text'),
    '#default_value' => $settings['content_body_size'],
	'#options' => array('11px','12px','13px','14px'),
	//'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  //over-all font type, 13 choices
  $form['content_body_fonts'] = array(
    '#type' => 'select',
    '#title' => t('Set body fonts'),
    '#default_value' => $settings['content_body_fonts'],
	'#options' => array('Arial, Helvetica, sans-serif',
						'"Times New Roman", Times, serif',
						'"Comic Sans MS", cursive',
						'"Courier New", Courier, monospace',
						'Verdana, Geneva, sans-serif',
						'Tahoma, Geneva, sans-serif',
						'"Trebuchet MS", Arial, Helvetica, sans-serif',
						'"Arial Black", Gadget, sans-serif',
						'"Lucida Sans Unicode", "Lucida Grande", sans-serif',
						'"Palatino Linotype", "Book Antiqua", Palatino, serif',
						'Georgia, "Times New Roman", Times, serif',
						'"MS Serif", "New York", serif',
						'"Lucida Console", Monaco, monospace',
						),
	'#disabled' => 'disabled', //Do not enable if your version does not support this feature
  );
  // Return the additional form widgets
  return $form;
}

?>
